#!/Users/Zach/Library/Enthought/Canopy_32bit/User/bin/python

'''
License - http://creativecommons.org/licenses/by/3.0/

THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS PUBLIC LICENSE ("CCPL" OR "LICENSE"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.

BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.

1. Definitions

"Adaptation" means a work based upon the Work, or upon the Work and other pre-existing works, such as a translation, adaptation, derivative work, arrangement of music or other alterations of a literary or artistic work, or phonogram or performance and includes cinematographic adaptations or any other form in which the Work may be recast, transformed, or adapted including in any form recognizably derived from the original, except that a work that constitutes a Collection will not be considered an Adaptation for the purpose of this License. For the avoidance of doubt, where the Work is a musical work, performance or phonogram, the synchronization of the Work in timed-relation with a moving image ("synching") will be considered an Adaptation for the purpose of this License.
"Collection" means a collection of literary or artistic works, such as encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works or subject matter other than works listed in Section 1(f) below, which, by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. A work that constitutes a Collection will not be considered an Adaptation (as defined above) for the purposes of this License.
"Distribute" means to make available to the public the original and copies of the Work or Adaptation, as appropriate, through sale or other transfer of ownership.
"Licensor" means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License.
"Original Author" means, in the case of a literary or artistic work, the individual, individuals, entity or entities who created the Work or if no individual or entity can be identified, the publisher; and in addition (i) in the case of a performance the actors, singers, musicians, dancers, and other persons who act, sing, deliver, declaim, play in, interpret or otherwise perform literary or artistic works or expressions of folklore; (ii) in the case of a phonogram the producer being the person or legal entity who first fixes the sounds of a performance or other sounds; and, (iii) in the case of broadcasts, the organization that transmits the broadcast.
"Work" means the literary and/or artistic work offered under the terms of this License including without limitation any production in the literary, scientific and artistic domain, whatever may be the mode or form of its expression including digital form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work of the same nature; a dramatic or dramatico-musical work; a choreographic work or entertainment in dumb show; a musical composition with or without words; a cinematographic work to which are assimilated works expressed by a process analogous to cinematography; a work of drawing, painting, architecture, sculpture, engraving or lithography; a photographic work to which are assimilated works expressed by a process analogous to photography; a work of applied art; an illustration, map, plan, sketch or three-dimensional work relative to geography, topography, architecture or science; a performance; a broadcast; a phonogram; a compilation of data to the extent it is protected as a copyrightable work; or a work performed by a variety or circus performer to the extent it is not otherwise considered a literary or artistic work.
"You" means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation.
"Publicly Perform" means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images.
"Reproduce" means to make copies of the Work by any means including without limitation by sound or visual recordings and the right of fixation and reproducing fixations of the Work, including storage of a protected performance or phonogram in digital form or other electronic medium.

2. Fair Dealing Rights. Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright or rights arising from limitations or exceptions that are provided for in connection with the copyright protection under copyright law or other applicable laws.

3. License Grant. Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:

to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce the Work as incorporated in the Collections;
to create and Reproduce Adaptations provided that any such Adaptation, including any translation in any medium, takes reasonable steps to clearly label, demarcate or otherwise identify that changes were made to the original Work. For example, a translation could be marked "The original work was translated from English to Spanish," or a modification could indicate "The original work has been modified.";
to Distribute and Publicly Perform the Work including as incorporated in Collections; and,
to Distribute and Publicly Perform Adaptations.
For the avoidance of doubt:

Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License;
Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor waives the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; and,
Voluntary License Schemes. The Licensor waives the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License.
The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. Subject to Section 8(f), all rights not expressly granted by Licensor are hereby reserved.

4. Restrictions. The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:

You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from any Licensor You must, to the extent practicable, remove from the Collection any credit as required by Section 4(b), as requested. If You create an Adaptation, upon notice from any Licensor You must, to the extent practicable, remove from the Adaptation any credit as required by Section 4(b), as requested.
If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the Original Author and/or Licensor designate another party or parties (e.g., a sponsor institute, publishing entity, journal) for attribution ("Attribution Parties") in Licensor's copyright notice, terms of service or by other reasonable means, the name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and (iv) , consistent with Section 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation (e.g., "French translation of the Work by Original Author," or "Screenplay based on original Work by Original Author"). The credit required by this Section 4 (b) may be implemented in any reasonable manner; provided, however, that in the case of a Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributing authors of the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributing authors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use of the Work, without the separate, express prior written permission of the Original Author, Licensor and/or Attribution Parties.
Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the Original Author's honor or reputation. Licensor agrees that in those jurisdictions (e.g. Japan), in which any exercise of the right granted in Section 3(b) of this License (the right to make Adaptations) would be deemed to be a distortion, mutilation, modification or other derogatory action prejudicial to the Original Author's honor and reputation, the Licensor will waive or not assert, as appropriate, this Section, to the fullest extent permitted by the applicable national law, to enable You to reasonably exercise Your right under Section 3(b) of this License (right to make Adaptations) but not otherwise.
5. Representations, Warranties and Disclaimer

UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.

6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

7. Termination

This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.
Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.
8. Miscellaneous

Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.
Each time You Distribute or Publicly Perform an Adaptation, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License.
If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.
No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.
This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You.
The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). These rights and subject matter take effect in the relevant jurisdiction in which the License terms are sought to be enforced according to the corresponding provisions of the implementation of those treaty provisions in the applicable national law. If the standard suite of rights granted under applicable copyright law includes additional rights not granted under this License, such additional rights are deemed to be included in the License; this License is not intended to restrict the license of any rights under applicable law.
'''

import sys
import os
import hashlib
import argparse
import webbrowser

parser = argparse.ArgumentParser(description='PATH-SCAN is a cross-platform Python script that utilizes a database of pathogenic variants collated from the ACMG Report regarding incidental findings during DNA sequencing. PATH-SCAN scans personal genomes and annotates them with any of these known pathogenic variants.')
parser.add_argument('genome', type=str, help='a VCF file, a Complete Genomics TSV file, or a 23andMe SNP file')
parser.add_argument('--suppress', help='suppress web reporting', action='store_const', const=True, default=False)
parser.add_argument('--db', type=str, help='used to specify a different database file.')
args = parser.parse_args()

class Variant:
	def __init__(self, data):
		self.chromosome = data[0]
		self.position = data[1]
		self.rsid = data[2]
		self.ref = data[3]
		self.alt = data[4]
		self.gene = data[5]
		self.omim = data[6].replace('"','')
		self.pmid = data[7]
		self.clinical = data[8]

	def get_omim_links(self):
		links = []
		for id in self.omim.split(';'):
			links.append("<a href=\'http://omim.org/entry/" + id + "\'>" + id + "</a>")
		return '&nbsp;-&nbsp;'.join(links)

	def __str__(self):
		return "\t".join([self.chromosome, self.position, self.rsid, self.ref, self.alt, self.gene, self.omim, self.pmid, self.clinical])

chromosomes = '1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,X,Y,M'.split(',')

class DB:
	def __init__(self, path):
		self.path = path
		self.by_chromosome = dict()
		for chromosome in chromosomes:
			self.by_chromosome[chromosome] = dict()

	def load(self, preloaded=True):
		if preloaded == True:
			print "Using preloaded variant database."
			lines = ['17\t41199659\trs80358145\tC\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41199674\trs80357477\tT\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41199709\trs80357558\tTG\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41201157\trs80357055\tG\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41201181\trs80357069\tC\tA,T\tBRCA1\t"604370;612555"\t20301425\t5 1\n', '17\t41201198\trs80357284\tC\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41201208\trs80357590\tTG\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41203115\trs80357463\tA\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41209068\trs80358150\tC\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41209086\trs80357925\tCT\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41209139\trs45553935\tA\tC,G\tBRCA1\t"604370;612555"\t20301425\t1 5\n', '17\t41215362\trs80357975\tTTTTC\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41215364\trs80357347\tT\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41219623\trs80358089\tA\tG\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41219624\trs80358053\tC\tA,T\tBRCA1\t"604370;612555"\t20301425\t4 5\n', '17\t41219625\trs80187739\tC\tA,G,T\tBRCA1\t"604370;612555"\t20301425\t1 5 4\n', '17\t41219633\trs80357061\tA\tC,G\tBRCA1\t"604370;612555"\t20301425\t5 1\n', '17\t41219659\trs80357623\tAATTAG\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41219665\trs80357862\tATTAG\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41222939\trs80358086\tA\tC,G\tBRCA1\t"604370;612555"\t20301425\t1 5\n', '17\t41222941\trs80358087\tT\tA,G\tBRCA1\t"604370;612555"\t20301425\t1 5\n', '17\t41222948\trs80359876\tTTCTTCTGGGGTCAGGCCAG\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41223063\trs80356862\tG\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41223180\trs80357641\tGCT\tG\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41223242\trs80357433\tG\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41226348\trs80356988\tC\tG,T\tBRCA1\t"604370;612555"\t20301425\t4 5\n', '17\t41228504\trs80358063\tC\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41228505\trs80357389\tC\tA,T\tBRCA1\t"604370;612555"\t20301425\t5 0\n', '17\t41228505\trs80357854\tCTT\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41228595\trs273900730\tATAG\tAAA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41228597\trs80357916\tAG\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41234420\trs80358027\tC\tA,T\tBRCA1\t"604370;612555"\t20301425\t1 5\n', '17\t41234525\trs80357977\tAAC\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41234534\trs80357981\tTC\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41242998\trs80357071\tG\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243024\trs80357787\tACT\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243028\trs80357804\tTCA\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243029\trs80357259\tC\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243050\trs80358070\tC\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243451\trs80358178\tC\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243512\trs80357711\tCT\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243533\trs80357021\tC\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243611\trs80357318\tG\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243680\trs80357254\tT\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243686\trs80357889\tCCTCA\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243776\trs80357993\tCCT\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243783\trs80357848\tG\tGT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243787\trs80357520\tTTA\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243843\trs80357609\tGTTTAC\tG\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243859\trs80357162\tA\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243899\trs80357902\tA\tAT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243920\trs80357729\tC\tCT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41243935\trs80357980\tCT\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244062\trs80357509\tAT\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244105\trs80357808\tTC\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244148\trs80357018\tC\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244159\trs80357405\tG\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244188\trs80357945\tAAC\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244213\trs80357903\tTCTTG\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244292\trs80357624\tA\tATC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244318\trs80357635\tCCT\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244354\trs80357511\tT\tTC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244436\trs80357161\tC\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244557\trs80357829\tA\tATT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244614\trs80357115\tA\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244738\trs80357832\tTTATC\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244838\trs80357035\tC\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244840\trs80357717\tC\tCAT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244865\trs80357596\tGTTTC\tG\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244913\trs80357251\tC\tA,T\tBRCA1\t"604370;612555"\t20301425\t5 1\n', '17\t41244945\trs80356925\tG\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41244985\trs80357131\tG\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41245032\trs80357607\tTG\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41245072\trs80357970\tTG\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41245090\trs80357669\tTG\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41245114\trs80357524\tTG\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41245135\trs80357664\tACT\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41245248\trs80357786\tCT\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41245278\trs80357583\tAC\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41245336\trs80357654\tCTG\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41245390\trs80356875\tC\tA,T\tBRCA1\t"604370;612555"\t20301425\t5 1\n', '17\t41245410\trs80357233\tG\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41245442\trs80357880\tT\tTA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41245476\trs80357688\tCT\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41245586\trs80357853\tC\tCT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41245586\trs80357522\tCT\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41245588\trs80357355\tT\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41245591\trs80357526\tTTTTC\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41245861\trs80356898\tG\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41245873\trs80357600\tCT\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246037\trs80357908\tCG\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246039\trs80357888\tCTTTAA\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246068\trs80357010\tG\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246100\trs80357801\tATAAT\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246157\trs273897659\tGTT\tGC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246167\trs80357714\tA\tAT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246186\trs80357969\tACT\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246207\trs80357597\tA\tAC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246426\trs80357612\tTG\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246529\trs80357774\tAC\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246531\trs80357618\tCT\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246532\trs80359872\tTTTTTTTCTGTGCTGGGAGTCCGCCTATCATTACATGTTTCCTTACTTCCAGCCCATCTGTTATG\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246586\trs80357292\tC\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246618\trs80357844\tCT\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246748\trs80357724\tGAA\tG\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246765\trs80357321\tA\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246849\trs80357747\tTAC\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41246871\trs80357941\tCA\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41251790\trs80358047\tA\tT\tBRCA1\t"604370;612555"\t20301425\t5 5\n', '17\t41251867\trs80357887\tTAG\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41256153\trs80356991\tC\tA,T\tBRCA1\t"604370;612555"\t20301425\t5 2\n', '17\t41256250\trs80357604\tC\tCT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41256280\trs80358011\tT\tA,G\tBRCA1\t"604370;612555"\t20301425\t1 5\n', '17\t41256984\trs80358061\tA\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41256985\trs80358163\tT\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41258472\trs80358042\tC\tA,G,T\tBRCA1\t"604370;612555"\t20301425\t1 1 5\n', '17\t41258541\trs80357637\tCA\tC\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41258551\trs80358158\tC\tA,G\tBRCA1\t"604370;612555"\t20301425\t5 1\n', '17\t41267761\trs80357498\tC\tT\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41267792\trs80357443\tC\tA\tBRCA1\t"604370;612555"\t20301425\t5\n', '17\t41276047\trs80357783\tC\tCT\tBRCA1\t"604370;612555"\t20301425\t5\n', '13\t32890599\trs80359418\tTG\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32890600\trs80358650\tG\tA,T\tBRCA2\t604370;612555\t20301425\t1 5\n', '13\t32893420\trs80358529\tC\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32899300\trs80359425\tTA\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32900634\trs80359492\tAG\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32900654\trs80359511\tC\tCAT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32900690\trs80359533\tGAT\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32900701\trs80358810\tG\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32900750\trs80358871\tG\tA,C\tBRCA2\t604370;612555\t20301425\t1 5\n', '13\t32900751\trs81002897\tG\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32900752\trs81002899\tT\tG\tBRCA2\t604370;612555\t20301425\t5 5\n', '13\t32903605\trs80359604\tTGT\tT\tBRCA2\t604370;612555\t20301425\t5 5 255 5 5 5\n', '13\t32903611\trs80358891\tT\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32905062\trs80358913\tA\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32905069\trs80359633\tAT\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32905124\trs80359659\tGACAG\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32905129\trs80359662\tACA\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32905149\trs80359680\tAGA\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32906639\trs80359260\tGA\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32906668\trs80359261\tA\tAT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32906852\trs80359271\tCT\tC\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32906871\trs80359272\tGT\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32906876\trs80359273\tCA\tC\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32906908\trs80359276\tAGA\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32906916\trs80359280\tAAAGA\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32907369\trs80359302\tAGAAAA\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32907410\trs276174814\tTCTTAT\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32907415\trs80358464\tT\tA,G\tBRCA2\t604370;612555\t20301425\t5 1\n', '13\t32907420\trs80359308\tG\tGA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32907420\trs80359309\tGA\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32907447\trs80358474\tC\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32910420\trs80359316\tTG\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32910526\trs80359318\tTA\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32910583\trs80359322\tAC\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32910661\trs276174819\tC\tCA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32910901\trs80358504\tT\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32911073\trs80359338\tC\tCA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32911299\trs80359352\tAACAA\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32911310\trs80358532\tC\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32911449\trs80359365\tA\tAA,AG\tBRCA2\t604370;612555\t20301425\t1 5\n', '13\t32911471\trs80358544\tG\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32911601\trs80358557\tC\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32911650\trs41293477\tT\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32911651\trs80359371\tAGATA\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32911661\trs80359373\tAAGAAA\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32911755\trs80359380\tC\tCT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32912035\trs80359388\tATT\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32912180\trs80359398\tTC\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32912206\trs80359401\tGA\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32912235\trs80359403\tGTGAG\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32912338\trs80359405\tTGT\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32912356\trs80359412\tTAAAT\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32912414\trs80358638\tG\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32912581\trs80359426\tCAT\tC\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32912654\trs276174843\tACT\tAA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32912714\trs80358663\tC\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32912767\trs80359438\tT\tTA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32912770\trs80359440\tA\tAT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32912940\trs80359448\tCA\tC\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32912963\trs80359452\tCTGAA\tC\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913118\trs80359460\tG\tGA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913118\trs80359461\tGA\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913125\trs80359462\tCT\tC\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913140\trs80358695\tG\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913365\trs80359470\tGAA\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913427\trs80359473\tAGAAA\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913457\trs80358721\tC\tA,G\tBRCA2\t604370;612555\t20301425\t1 5\n', '13\t32913522\trs80359477\tGA\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913531\trs80359478\tCTG\tC\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913558\trs80359480\tC\tCA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913704\trs80359493\tACTTA\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913729\trs80359499\tC\tCT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913757\trs80359501\tGGTAT\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913777\trs80359503\tATC\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913794\trs80359505\tCTT\tC\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913836\trs80359508\tC\tCA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913836\trs80359509\tCA\tC\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913836\trs80359507\tCAA\tC\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913901\trs80359512\tTGT\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913958\trs80359515\tT\tTA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32913973\trs80359516\tTAAATT\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914067\trs80359521\tATTAA\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914084\trs80359524\tCAT\tC\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914106\trs80358783\tA\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914112\trs80359526\tATTAA\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914137\trs80358785\tC\tA,G\tBRCA2\t604370;612555\t20301425\t5 5 255 5 5\n', '13\t32914147\trs80358789\tC\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914172\trs80359527\tT\tTA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914174\trs41293497\tC\tA,G\tBRCA2\t604370;612555\t20301425\t1 5\n', '13\t32914274\trs56253082\tG\tA,T\tBRCA2\t604370;612555\t20301425\t1 5\n', '13\t32914290\trs80359538\tACCAA\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914319\trs80359541\tTC\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914342\trs80359544\tTAGTT\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914401\trs80358824\tC\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914437\trs80359550\tGT\tG\tBRCA2\t604370;612555\t20301425\t255 255 5 5\n', '13\t32914472\trs80358831\tC\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914515\trs80359554\tA\tAG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914529\trs80358840\tA\tG,T\tBRCA2\t604370;612555\t20301425\t1 5\n', '13\t32914698\trs80358859\tT\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914758\trs276174868\tAGCA\tAC\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914782\trs80358866\tC\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914859\trs80359577\tG\tGA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914896\trs80359585\tACTTAA\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914935\trs80359590\tC\tCT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914953\trs80359597\tATC\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32914973\trs80359598\tGACAA\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32915027\trs80359601\tG\tGA,GG\tBRCA2\t604370;612555\t20301425\t5 1\n', '13\t32915132\trs80359613\tA\tAC\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32915135\trs80359616\tTACTC\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32920966\trs80359628\tAC\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32920969\trs80359629\tATAAA\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32920978\trs80358920\tC\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32921033\trs28897743\tG\tA,C,T\tBRCA2\t604370;612555\t20301425\t5 1 1\n', '13\t32929058\trs80359636\tTCT\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32929123\trs276174889\tC\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32929368\trs80359648\tAACAA\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32929401\trs80359649\tACAAAGTGTGA\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32929402\trs80359650\tCAA\tC\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32929406\trs80359651\tGTG\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32930609\trs80358972\tC\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32930658\trs80358979\tT\tC\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32930667\trs80359657\tC\tCA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32930691\trs80359664\tTCT\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32931931\trs80359672\tCAG\tC\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32932019\trs80359004\tG\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32936711\trs80359011\tG\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32936766\trs80359687\tTTTCCT\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32936828\trs80359025\tC\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32936830\trs80359027\tG\tA,C\tBRCA2\t604370;612555\t20301425\t5 1\n', '13\t32937315\trs81002874\tG\tC,T\tBRCA2\t604370;612555\t20301425\t5 1\n', '13\t32937558\trs80359070\tT\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32937590\trs80359704\tA\tAT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32937635\trs80359705\tAC\tA\tBRCA2\t604370;612555\t20301425\t5 5\n', '13\t32937659\trs80359706\tC\tCT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32945105\trs80359712\tAC\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32945179\trs80359718\tAC\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32945189\trs80359720\tC\tCT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32950805\trs81002886\tA\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32950933\trs81002813\tG\tA,T\tBRCA2\t604370;612555\t20301425\t5 1\n', '13\t32953568\trs276174913\tC\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32953601\trs80359730\tAC\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32953632\trs80359732\tC\tCA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32953640\trs80359733\tG\tGA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32953650\trs80359146\tC\tG\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32953653\trs81002882\tG\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32953937\trs80359152\tG\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32953958\trs80359741\tTATCAT\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32954009\trs80359159\tC\tG,T\tBRCA2\t604370;612555\t20301425\t1 5\n', '13\t32954050\trs28897756\tG\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32954222\trs80359180\tC\tG,T\tBRCA2\t604370;612555\t20301425\t1 5\n', '13\t32954261\trs55933907\tG\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32954272\trs80359752\tG\tGA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32968863\trs80359200\tC\tA,G\tBRCA2\t604370;612555\t20301425\t5 5\n', '13\t32968940\trs28897759\tA\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32968949\trs80359211\tG\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32968968\trs80359759\tAG\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32969001\trs80359763\tTGT\tT\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32971110\trs80359771\tACC\tA\tBRCA2\t604370;612555\t20301425\t5\n', '13\t32971132\trs80359230\tC\tG\tBRCA2\t604370;612555\t20301425\t5\n', '17\t7573996\trs121912662\tA\tG\tTP53\t151623\t20301488\t5\n', '17\t7574017\trs121912664\tC\tT\tTP53\t151623\t20301488\t5\n', '17\t7576872\trs121912659\tC\tA\tTP53\t151623\t20301488\t5 5\n', '17\t7577063\trs121912663\tT\tA\tTP53\t151623\t20301488\t5\n', '17\t7577084\trs121912667\tT\tA\tTP53\t151623\t20301488\t5 5\n', '17\t7577094\trs28934574\tG\tA\tTP53\t151623\t20301488\t5\n', '17\t7577120\trs28934576\tC\tT\tTP53\t151623\t20301488\t5 255\n', '17\t7577124\trs121912657\tC\tA\tTP53\t151623\t20301488\t5\n', '17\t7577509\trs121912652\tC\tT\tTP53\t151623\t20301488\t5\n', '17\t7577511\trs28934577\tA\tT\tTP53\t151623\t20301488\t5\n', '17\t7577526\trs121912653\tA\tG\tTP53\t151623\t20301488\t5\n', '17\t7577538\trs11540652\tC\tT\tTP53\t151623\t20301488\t5\n', '17\t7577539\trs121912651\tG\tA\tTP53\t151623\t20301488\t5\n', '17\t7577547\trs121912656\tC\tT\tTP53\t151623\t20301488\t5\n', '17\t7577548\trs28934575\tC\tA,T\tTP53\t151623\t20301488\t5 5\n', '17\t7577556\trs121912655\tC\tT\tTP53\t151623\t20301488\t5\n', '17\t7577559\trs28934573\tG\tA\tTP53\t151623\t20301488\t5 5\n', '17\t7578190\trs121912666\tT\tG\tTP53\t151623\t20301488\t5\n', '17\t7578283\trs121912665\tG\tA\tTP53\t151623\t20301488\t5\n', '17\t7578406\trs28934578\tC\tT\tTP53\t151623\t20301488\t5\n', '17\t7578518\trs28934875\tC\tG\tTP53\t151623\t20301488\t5\n', '17\t7578532\trs28934873\tA\tG\tTP53\t151623\t20301488\t5\n', '17\t7579329\trs121912658\tT\tA\tTP53\t151623\t20301488\t5\n', '19\t1207020\trs137853079\tC\tA\tSTK11\t175200\t20301443\t5\n', '19\t1207057\trs137853080\tT\tG\tSTK11\t175200\t20301443\t5\n', '19\t1207081\trs137854584\tG\tT\tSTK11\t175200\t20301443\t5\n', '19\t1207112\trs137853077\tT\tC\tSTK11\t175200\t20301443\t5\n', '19\t1207162\trs137853076\tA\tT\tSTK11\t175200\t20301443\t5\n', '19\t1219351\trs137853081\tG\tC\tSTK11\t175200\t20301443\t5\n', '19\t1220415\trs121913323\tC\tT\tSTK11\t175200\t20301443\t5\n', '19\t1220487\trs121913315\tG\tA,T\tSTK11\t175200\t20301443\t1 5\n', '19\t1220699\trs137853082\tG\tC\tSTK11\t175200\t20301443\t5\n', '19\t1221215\trs137853083\tC\tG\tSTK11\t175200\t20301443\t5\n', '19\t1221236\trs137853075\tC\tA\tSTK11\t175200\t20301443\t5\n', '19\t1223125\trs59912467\tC\tG\tSTK11\t175200\t20301443\t5\n', '3\t37035141\trs121912965\tATG\tAAC\tMLH1\t120435\t20301390\t5 5\n', '3\t37038124\trs63751109\tC\tT\tMLH1\t120435\t20301390\t5\n', '3\t37038192\trs63750206\tG\tA,T\tMLH1\t120435\t20301390\t1 5 5\n', '3\t37038193\trs63749939\tG\tA\tMLH1\t120435\t20301390\t5\n', '3\t37042536\trs63751221\tC\tT\tMLH1\t120435\t20301390\t5\n', '3\t37045935\trs63750781\tC\tG,T\tMLH1\t120435\t20301390\t1 5\n', '3\t37050304\trs193922370\tG\tA,C,T\tMLH1\t120435\t20301390\t5 1 1\n', '3\t37053589\trs63751615\tC\tT\tMLH1\t120435\t20301390\t5 5\n', '3\t37056000\trs63750198\tC\tA\tMLH1\t120435\t20301390\t5\n', '3\t37058999\trs63751194\tC\tA,T\tMLH1\t120435\t20301390\t1 5 0\n', '3\t37059012\trs63750691\tC\tG\tMLH1\t120435\t20301390\t5\n', '3\t37061902\trs63750710\tA\tC\tMLH1\t120435\t20301390\t5\n', '3\t37067470\trs63750540\tA\tT\tMLH1\t120435\t20301390\t5\n', '3\t37089011\trs63751612\tA\tG\tMLH1\t120435\t20301390\t5\n', '3\t37089123\trs121912962\tGAAG\tG\tMLH1\t120435\t20301390\t5\n', '3\t37089143\trs63750693\tT\tA,C\tMLH1\t120435\t20301390\t5 1\n', '3\t37090053\trs63750899\tC\tT\tMLH1\t120435\t20301390\t5 5\n', '3\t37090446\trs63750217\tG\tA\tMLH1\t120435\t20301390\t5\n', '2\t47637316\trs63751449\tTA\tT\tMSH2\t120435\t20301390\t5\n', '2\t47641560\trs193922376\tA\tT\tMSH2\t120435\t20301390\t5\n', '2\t47643522\trs63750245\tC\tT\tMSH2\t120435\t20301390\t5\n', '2\t47657020\trs63751108\tC\tT\tMSH2\t120435\t20301390\t5 5\n', '2\t47693857\trs63751207\tG\tC,T\tMSH2\t120435\t20301390\t5 1\n', '2\t47698146\trs63750393\tAGA\tA\tMSH2\t120435\t20301390\t5\n', '2\t47702205\trs63750047\tC\tT\tMSH2\t120435\t20301390\t5\n', '2\t47702269\trs28929483\tC\tT\tMSH2\t120435\t20301390\t5\n', '2\t47702310\trs63750875\tG\tC\tMSH2\t120435\t20301390\t5 5\n', '2\t47702319\trs28929484\tC\tT\tMSH2\t120435\t20301390\t5 4\n', '2\t47703538\trs63749932\tC\tT\tMSH2\t120435\t20301390\t5\n', '2\t47703612\trs63749811\tTG\tT\tMSH2\t120435\t20301390\t5 5\n', '2\t48027755\trs2020912\tT\tC\tMSH6\t120435\t20301390\t5 0 2\n', '2\t48028173\trs63751407\tTCT\tT\tMSH6\t120435\t20301390\t5\n', '7\t6017260\trs63751466\tG\tA\tPMS2\t120435\t20301390\t5\n', '7\t6026514\trs63750451\tG\tA\tPMS2\t120435\t20301390\t5\n', '7\t6042221\trs63750871\tG\tA\tPMS2\t120435\t20301390\t5\n', '7\t6043634\trs121434630\tA\tT\tPMS2\t120435\t20301390\t5\n', '7\t6045549\trs121434629\tC\tA,T\tPMS2\t120435\t20301390\t5 1\n', '5\t112111373\trs137854576\tG\tA\tAPC\t175100\t20301519\t5\n', '5\t112116577\trs137854583\tC\tT\tAPC\t175100\t20301519\t5\n', '5\t112116598\trs137854577\tC\tT\tAPC\t175100\t20301519\t5 5\n', '5\t112151196\trs137854569\tC\tG\tAPC\t175100\t20301519\t5\n', '5\t112151261\trs137854568\tC\tT\tAPC\t175100\t20301519\t5 5\n', '5\t112154969\trs137854567\tC\tT\tAPC\t175100\t20301519\t5 0\n', '5\t112162891\trs137854580\tC\tG,T\tAPC\t175100\t20301519\t5\n', '5\t112163698\trs137854572\tC\tT\tAPC\t175100\t20301519\t5 5\n', '5\t112164586\trs137854573\tC\tT\tAPC\t175100\t20301519\t5\n', '5\t112164616\trs137854574\tC\tT\tAPC\t175100\t20301519\t5\n', '5\t112173384\trs137854582\tT\tA\tAPC\t175100\t20301519\t5\n', '5\t112173429\trs137854570\tC\tG\tAPC\t175100\t20301519\t5\n', '5\t112174096\trs137854575\tC\tA,T\tAPC\t175100\t20301519\t5 5\n', '5\t112175211\trs1801155\tT\tA\tAPC\t175100\t20301519\t255 255 5 0\n', '5\t112175212\trs121913224\tAAAAGA\tA\tAPC\t175100\t20301519\t5 5 5 5\n', '5\t112175240\trs1801166\tG\tC\tAPC\t175100\t20301519\t5 2 0\n', '3\t10183719\trs104893827\tT\tC\tVHL\t193300\t20301636\t5\n', '3\t10183722\trs104893826\tG\tC\tVHL\t193300\t20301636\t5\n', '3\t10183781\trs5030827\tG\tT\tVHL\t193300\t20301636\t5 5\n', '3\t10183794\trs119103277\tG\tC\tVHL\t193300\t20301636\t5 5\n', '3\t10183808\trs5030808\tG\tA,C\tVHL\t193300\t20301636\t5\n', '3\t10183823\trs5030809\tT\tC\tVHL\t193300\t20301636\t5\n', '3\t10183865\trs104893824\tT\tA,C\tVHL\t193300\t20301636\t5 5\n', '3\t10188233\trs104893831\tG\tA,T\tVHL\t193300\t20301636\t5\n', '3\t10188245\trs104893830\tG\tC\tVHL\t193300\t20301636\t5 5\n', '3\t10188262\trs119103278\tA\tC\tVHL\t193300\t20301636\t5\n', '3\t10191488\trs5030818\tC\tG,T\tVHL\t193300\t20301636\t5 5\n', '3\t10191495\trs28940297\tT\tC\tVHL\t193300\t20301636\t5\n', '3\t10191498\trs267607170\tA\tG\tVHL\t193300\t20301636\t5\n', '3\t10191503\trs104893825\tG\tT\tVHL\t193300\t20301636\t5\n', '3\t10191506\trs5030820\tC\tG,T\tVHL\t193300\t20301636\t5 5 5\n', '3\t10191507\trs5030821\tG\tA\tVHL\t193300\t20301636\t5\n', '3\t10191569\trs5030824\tC\tG\tVHL\t193300\t20301636\t5 5 5\n', '3\t10191578\trs28940301\tC\tG\tVHL\t193300\t20301636\t5\n', '3\t10191581\trs28940300\tC\tT\tVHL\t193300\t20301636\t5\n', '3\t10191605\trs28940298\tC\tT\tVHL\t193300\t20301636\t5\n', '11\t64572060\trs104894261\tG\tA\tMEN1\t131100\t20301710\t5\n', '11\t64572261\trs104894267\tG\tA\tMEN1\t131100\t20301710\t5\n', '11\t64572549\trs104894260\tC\tT\tMEN1\t131100\t20301710\t5\n', '11\t64572550\trs104894259\tA\tG,T\tMEN1\t131100\t20301710\t1 5\n', '11\t64572604\trs104894264\tC\tT\tMEN1\t131100\t20301710\t5\n', '11\t64573230\trs104894265\tG\tT\tMEN1\t131100\t20301710\t5\n', '11\t64575029\trs104894266\tG\tA\tMEN1\t131100\t20301710\t5\n', '11\t64575044\trs104894268\tC\tT\tMEN1\t131100\t20301710\t5\n', '11\t64575466\trs104894262\tA\tT\tMEN1\t131100\t20301710\t5\n', '11\t64577167\trs104894263\tG\tC\tMEN1\t131100\t20301710\t5\n', '11\t64577517\trs104894256\tA\tC\tMEN1\t131100\t20301710\t5\n', '10\t43597793\trs76397662\tG\tA\tRET\t171400;162300\t20301434\t5\n', '10\t43598044\trs76736111\tC\tA\tRET\t171400;162300\t20301434\t5\n', '10\t43607621\trs75873440\tG\tA,T\tRET\t171400;162300\t20301434\t0 5 5\n', '10\t43609069\trs77558292\tT\tA,C,G\tRET\t171400;162300\t20301434\t0 5 5 5\n', '10\t43609070\trs77939446\tG\tA,C,T\tRET\t171400;162300\t20301434\t5 5 5 5\n', '10\t43609077\trs80069458\tC\tG\tRET\t171400;162300\t20301434\t5 5\n', '10\t43609096\trs76262710\tT\tA,C,G\tRET\t171400;162300\t20301434\t5 5 5 5 5\n', '10\t43609097\trs79781594\tG\tA,C,T\tRET\t171400;162300\t20301434\t5 5 5 5 5\n', '10\t43609102\trs77316810\tT\tA,C,G\tRET\t171400;162300\t20301434\t5 5 5 5\n', '10\t43609103\trs77503355\tG\tA,C,T\tRET\t171400;162300\t20301434\t5 5 5 5 5 5\n', '10\t43609104\trs79890926\tC\tG\tRET\t171400;162300\t20301434\t5 5\n', '10\t43609945\trs267607010\tC\tG\tRET\t171400;162300\t20301434\t5\n', '10\t43609948\trs75076352\tT\tA,C,G\tRET\t171400;162300\t20301434\t5 5 5 5 5 5 5 5\n', '10\t43609949\trs75996173\tG\tA,C,T\tRET\t171400;162300\t20301434\t5 5 5 5 5 5 5 5 5 5\n', '10\t43609950\trs77709286\tC\tG\tRET\t171400;162300\t20301434\t5 5 5\n', '10\t43609967\trs78935588\tC\tG\tRET\t171400;162300\t20301434\t5 0\n', '10\t43609990\trs77711105\tG\tA\tRET\t171400;162300\t20301434\t5 0 3\n', '10\t43610044\trs143795581\tA\tG\tRET\t171400;162300\t20301434\t5\n', '10\t43613840\trs78014899\tG\tA,C,T\tRET\t171400;162300\t20301434\t1 5 5 5\n', '10\t43613868\trs75686697\tG\tA\tRET\t171400;162300\t20301434\t5 0\n', '10\t43613906\trs75030001\tG\tC,T\tRET\t171400;162300\t20301434\t5 5 5 5\n', '10\t43613908\trs77724903\tA\tT\tRET\t171400;162300\t20301434\t5 5 5 2\n', '10\t43614996\trs79658334\tG\tA,C,T\tRET\t171400;162300\t20301434\t5 5 5 5 5\n', '10\t43615592\trs75234356\tT\tG\tRET\t171400;162300\t20301434\t5 5 5\n', '10\t43615632\trs267607011\tC\tG,T\tRET\t171400;162300\t20301434\t5 0 5\n', '10\t43617398\trs78347871\tG\tA,C,T\tRET\t171400;162300\t20301434\t0 5 5\n', '10\t43617416\trs74799832\tT\tC\tRET\t171400;162300\t20301434\t5 5 255 5\n', '10\t43622099\trs79853121\tC\tT\tRET\t171400;162300\t20301434\t5\n', '10\t43597793\trs76397662\tG\tA\tRET\t1552401\t20301434\t5\n', '10\t43598044\trs76736111\tC\tA\tRET\t1552401\t20301434\t5\n', '10\t43607621\trs75873440\tG\tA,T\tRET\t1552401\t20301434\t0 5 5\n', '10\t43609069\trs77558292\tT\tA,C,G\tRET\t1552401\t20301434\t0 5 5 5\n', '10\t43609070\trs77939446\tG\tA,C,T\tRET\t1552401\t20301434\t5 5 5 5\n', '10\t43609077\trs80069458\tC\tG\tRET\t1552401\t20301434\t5 5\n', '10\t43609096\trs76262710\tT\tA,C,G\tRET\t1552401\t20301434\t5 5 5 5 5\n', '10\t43609097\trs79781594\tG\tA,C,T\tRET\t1552401\t20301434\t5 5 5 5 5\n', '10\t43609102\trs77316810\tT\tA,C,G\tRET\t1552401\t20301434\t5 5 5 5\n', '10\t43609103\trs77503355\tG\tA,C,T\tRET\t1552401\t20301434\t5 5 5 5 5 5\n', '10\t43609104\trs79890926\tC\tG\tRET\t1552401\t20301434\t5 5\n', '10\t43609945\trs267607010\tC\tG\tRET\t1552401\t20301434\t5\n', '10\t43609948\trs75076352\tT\tA,C,G\tRET\t1552401\t20301434\t5 5 5 5 5 5 5 5\n', '10\t43609949\trs75996173\tG\tA,C,T\tRET\t1552401\t20301434\t5 5 5 5 5 5 5 5 5 5\n', '10\t43609950\trs77709286\tC\tG\tRET\t1552401\t20301434\t5 5 5\n', '10\t43609967\trs78935588\tC\tG\tRET\t1552401\t20301434\t5 0\n', '10\t43609990\trs77711105\tG\tA\tRET\t1552401\t20301434\t5 0 3\n', '10\t43610044\trs143795581\tA\tG\tRET\t1552401\t20301434\t5\n', '10\t43613840\trs78014899\tG\tA,C,T\tRET\t1552401\t20301434\t1 5 5 5\n', '10\t43613868\trs75686697\tG\tA\tRET\t1552401\t20301434\t5 0\n', '10\t43613906\trs75030001\tG\tC,T\tRET\t1552401\t20301434\t5 5 5 5\n', '10\t43613908\trs77724903\tA\tT\tRET\t1552401\t20301434\t5 5 5 2\n', '10\t43614996\trs79658334\tG\tA,C,T\tRET\t1552401\t20301434\t5 5 5 5 5\n', '10\t43615592\trs75234356\tT\tG\tRET\t1552401\t20301434\t5 5 5\n', '10\t43615632\trs267607011\tC\tG,T\tRET\t1552401\t20301434\t5 0 5\n', '10\t43617398\trs78347871\tG\tA,C,T\tRET\t1552401\t20301434\t0 5 5\n', '10\t43617416\trs74799832\tT\tC\tRET\t1552401\t20301434\t5 5 255 5\n', '10\t43622099\trs79853121\tC\tT\tRET\t1552401\t20301434\t5\n', '1\t156830751\trs80356673\tC\tT\tNTRK1\t1552401\t20301434\t5 5\n', '1\t156843392\trs80356674\tT\tA\tNTRK1\t1552401\t20301434\t5\n', '1\t156843650\trs121964869\tA\tG\tNTRK1\t1552401\t20301434\t5\n', '1\t156846218\trs80356675\tTC\tT\tNTRK1\t1552401\t20301434\t5\n', '1\t156846288\trs121964866\tG\tC\tNTRK1\t1552401\t20301434\t5\n', '1\t156846318\trs121964870\tA\tG\tNTRK1\t1552401\t20301434\t5\n', '1\t156848918\trs6336\tC\tT\tNTRK1\t1552401\t20301434\t5 5 2\n', '1\t156848946\trs6339\tG\tT\tNTRK1\t1552401\t20301434\t5 5 2\n', '1\t156848968\trs80356676\tC\tCT\tNTRK1\t1552401\t20301434\t5\n', '1\t156849128\trs80356677\tG\tT\tNTRK1\t1552401\t20301434\t5\n', '1\t156849828\trs121964868\tC\tT\tNTRK1\t1552401\t20301434\t5\n', '1\t156851382\trs35669708\tG\tA,C\tNTRK1\t1552401\t20301434\t5\n', '10\t89653806\trs121909225\tT\tG\tPTEN\t153480\t20301661\t5\n', '10\t89685286\trs121909236\tC\tG\tPTEN\t153480\t20301661\t5\n', '10\t89685314\trs121909226\tT\tC\tPTEN\t153480\t20301661\t5\n', '10\t89692794\trs121909238\tA\tG\tPTEN\t153480\t20301661\t5\n', '10\t89692851\trs121909230\tT\tC\tPTEN\t153480\t20301661\t5\n', '10\t89692884\trs121909222\tA\tG\tPTEN\t153480\t20301661\t5\n', '10\t89692886\trs121909223\tT\tC\tPTEN\t153480\t20301661\t5\n', '10\t89692902\trs121909218\tG\tA\tPTEN\t153480\t20301661\t5\n', '10\t89692904\trs121909224\tC\tG,T\tPTEN\t153480\t20301661\t1 5 5 5\n', '10\t89692905\trs121909229\tG\tA\tPTEN\t153480\t20301661\t5\n', '10\t89692911\trs121909241\tG\tT\tPTEN\t153480\t20301661\t5\n', '10\t89692985\trs121909220\tG\tT\tPTEN\t153480\t20301661\t5\n', '10\t89711892\trs121909221\tT\tA\tPTEN\t153480\t20301661\t5\n', '10\t89717615\trs121909227\tC\tT\tPTEN\t153480\t20301661\t5\n', '10\t89717672\trs121909219\tC\tT\tPTEN\t153480\t20301661\t5 5\n', '10\t89717676\trs121909235\tG\tA\tPTEN\t153480\t20301661\t255 5\n', '10\t89717697\trs121909240\tT\tC\tPTEN\t153480\t20301661\t5\n', '10\t89717730\trs121909239\tA\tG\tPTEN\t153480\t20301661\t5\n', '10\t89717741\trs121909228\tG\tT\tPTEN\t153480\t20301661\t5\n', '10\t89720852\trs121909231\tC\tT\tPTEN\t153480\t20301661\t5 5 5\n', '13\t48942685\trs121913301\tC\tT\tRB1\t180200\t20301625\t5\n', '13\t48953730\trs3092891\tC\tT\tRB1\t180200\t20301625\t5\n', '13\t48955550\trs121913304\tC\tT\tRB1\t180200\t20301625\t5\n', '13\t48985995\trs121434309\tC\tT\tRB1\t180200\t20301625\t5\n', '13\t48985998\trs121434307\tT\tA\tRB1\t180200\t20301625\t5\n', '13\t48986097\trs121434306\tG\tA\tRB1\t180200\t20301625\t5\n', '13\t48986124\trs121434308\tC\tT\tRB1\t180200\t20301625\t5\n', '13\t49027133\trs137853292\tC\tT\tRB1\t180200\t20301625\t5\n', '13\t49030343\trs137853297\tT\tA\tRB1\t180200\t20301625\t5\n', '13\t49033844\trs137853294\tC\tT\tRB1\t180200\t20301625\t5\n', '13\t49037894\trs137853296\tT\tC\tRB1\t180200\t20301625\t5\n', '13\t49039374\trs137853293\tC\tT\tRB1\t180200\t20301625\t5\n', '11\t111957634\trs80338842\tG\tC\tSDHD\t168000\t20301715\t5 5\n', '11\t111957645\trs104894310\tG\tA\tSDHD\t168000\t20301715\t5\n', '11\t111957664\trs104894309\tC\tA\tSDHD\t168000\t20301715\t5\n', '11\t111957665\trs34677591\tG\tA\tSDHD\t168000\t20301715\t5 5 5 5 2\n', '11\t111958592\trs104894306\tC\tT\tSDHD\t168000\t20301715\t5\n', '11\t111958623\trs104894305\tC\tA\tSDHD\t168000\t20301715\t5\n', '11\t111958634\trs104894303\tC\tT\tSDHD\t168000\t20301715\t5\n', '11\t111958640\trs80338843\tC\tT\tSDHD\t168000\t20301715\t5 5 5\n', '11\t111958657\trs104894308\tG\tA\tSDHD\t168000\t20301715\t5\n', '11\t111958677\trs11214077\tA\tG\tSDHD\t168000\t20301715\t5 5 255 5 0\n', '11\t111959663\trs80338844\tC\tT\tSDHD\t168000\t20301715\t5 255 5 5\n', '11\t111959695\trs80338845\tG\tT\tSDHD\t168000\t20301715\t5 5 5\n', '11\t111959697\trs121908983\tCTAT\tC\tSDHD\t168000\t20301715\t5\n', '11\t111959705\trs80338846\tT\tC\tSDHD\t168000\t20301715\t5\n', '11\t111959726\trs104894302\tA\tT\tSDHD\t168000\t20301715\t5\n', '11\t111965555\trs104894304\tA\tG\tSDHD\t168000\t20301715\t5\n', '11\t111965630\trs80338847\tT\tC\tSDHD\t168000\t20301715\t5 5\n', '11\t111965647\trs121908984\tC\tA\tSDHD\t168000\t20301715\t5\n', '11\t61205292\trs113560320\tG\tA\tSDHAF2\t601650\t20301715\t5\n', '1\t17349143\trs74315368\tC\tT\tSDHB\t115310\t20301715\t5 5 5\n', '1\t17350520\trs74315367\tG\tC\tSDHB\t115310\t20301715\t5 4 4\n', '1\t17354297\trs33927012\tA\tG\tSDHB\t115310\t20301715\t5 3 3 2\n', '1\t17355100\trs267607032\tC\tA\tSDHB\t115310\t20301715\t5\n', '1\t17355123\trs74315372\tT\tC,G\tSDHB\t115310\t20301715\t5\n', '1\t17355216\trs74315371\tC\tT\tSDHB\t115310\t20301715\t5\n', '1\t17355219\trs121917755\tG\tA\tSDHB\t115310\t20301715\t5\n', '1\t17359573\trs74315366\tG\tA\tSDHB\t115310\t20301715\t5 5 5 5\n', '1\t17371320\trs74315370\tG\tC\tSDHB\t115310\t20301715\t5\n', '1\t17371377\trs74315369\tG\tA,C\tSDHB\t115310\t20301715\t5 5\n', '1\t17380507\trs11203289\tG\tC\tSDHB\t115310\t20301715\t5 0\n', '9\t135779052\trs118203657\tG\tA\tTSC1\t"191100;613254"\t20301399\t5 5 3\n', '9\t135781059\trs118203598\tCTG\tC\tTSC1\t"191100;613254"\t20301399\t5 1\n', '9\t135781073\trs118203595\tGCTTT\tG\tTSC1\t"191100;613254"\t20301399\t5 1\n', '9\t135781205\trs118203576\tT\tC\tTSC1\t"191100;613254"\t20301399\t5 1\n', '9\t135781271\trs118203557\tCTTTCATCAGCACTGCCGCAGGGC\tC\tTSC1\t"191100;613254"\t20301399\t5 1\n', '9\t135787833\trs118203447\tA\tC,T\tTSC1\t"191100;613254"\t20301399\t1 5 1\n', '9\t135796816\trs118203426\tA\tC\tTSC1\t"191100;613254"\t20301399\t5 1\n', '9\t135797330\trs118203396\tA\tG\tTSC1\t"191100;613254"\t20301399\t5 1\n', '9\t135798748\trs118203388\tG\tT\tTSC1\t"191100;613254"\t20301399\t5 1\n', '16\t2098650\trs45512692\tA\tT\tTSC2\t191100;613254\t20301399\t5 1\n', '16\t2112562\trs45515894\tG\tA\tTSC2\t191100;613254\t20301399\t5 1\n', '16\t2113043\trs121964862\tC\tT\tTSC2\t191100;613254\t20301399\t5 1\n', '16\t2114342\trs45517179\tC\tT\tTSC2\t191100;613254\t20301399\t5 1\n', '16\t2120572\trs28934872\tG\tA\tTSC2\t191100;613254\t20301399\t5 255 1\n', '16\t2121893\trs137854337\tC\tCTACT\tTSC2\t191100;613254\t20301399\t5 1\n', '16\t2122294\trs45517214\tT\tG\tTSC2\t191100;613254\t20301399\t5 1\n', '16\t2122985\trs137854250\tGTAGG\tG\tTSC2\t191100;613254\t20301399\t5 1\n', '16\t2126142\trs45517258\tC\tG,T\tTSC2\t191100;613254\t20301399\t5 1 5 1\n', '16\t2126143\trs45517259\tG\tA\tTSC2\t191100;613254\t20301399\t5 1\n', '16\t2134966\trs45516293\tA\tC\tTSC2\t191100;613254\t20301399\t5 1\n', '16\t2135301\trs137854083\tTC\tT\tTSC2\t191100;613254\t20301399\t5 1\n', '16\t2137898\trs45483392\tC\tT\tTSC2\t191100;613254\t20301399\t5 1\n', '16\t2138304\trs137854225\tACATCAAGCGGCTCCGCCA\tA\tTSC2\t191100;613254\t20301399\t5 1\n', '11\t32413559\trs121907902\tT\tC\tWT1\t194070\t20301471\t5\n', '11\t32413560\trs28941778\tC\tT\tWT1\t194070\t20301471\t5 5\n', '11\t32413565\trs121907903\tC\tG\tWT1\t194070\t20301471\t5\n', '11\t32413566\trs121907900\tG\tA\tWT1\t194070\t20301471\t5 5 5\n', '11\t32413572\trs28941779\tA\tG\tWT1\t194070\t20301471\t5\n', '11\t32413578\trs121907909\tG\tA\tWT1\t194070\t20301471\t5 5\n', '11\t32413599\trs28941777\tA\tG\tWT1\t194070\t20301471\t5\n', '11\t32414218\trs28942089\tG\tA\tWT1\t194070\t20301471\t5 5\n', '11\t32414228\trs121907907\tG\tC\tWT1\t194070\t20301471\t5\n', '11\t32414250\trs121907901\tC\tT\tWT1\t194070\t20301471\t5\n', '11\t32414251\trs121907910\tG\tA\tWT1\t194070\t20301471\t5\n', '11\t32414263\trs121907906\tG\tA\tWT1\t194070\t20301471\t5 5\n', '11\t32414269\trs121907905\tA\tC\tWT1\t194070\t20301471\t5\n', '11\t32417859\trs121907904\tC\tT\tWT1\t194070\t20301471\t5\n', '11\t32456361\trs121907911\tG\tT\tWT1\t194070\t20301471\t5\n', '22\t30032810\trs121434261\tT\tC\tNF2\t101100\t20301380\t5\n', '22\t30035123\trs121434260\tCTTC\tC\tNF2\t101100\t20301380\t5\n', '22\t30051610\trs74315495\tG\tT\tNF2\t101100\t20301380\t5\n', '22\t30057302\trs74315496\tC\tT\tNF2\t101100\t20301380\t5\n', '22\t30064394\trs74315497\tC\tT\tNF2\t101100\t20301380\t5\n', '22\t30067836\trs74315499\tC\tT\tNF2\t101100\t20301380\t5\n', '22\t30067894\trs74315492\tT\tC\tNF2\t101100\t20301380\t5\n', '22\t30069354\trs74315501\tC\tT\tNF2\t101100\t20301380\t5\n', '22\t30070871\trs74315503\tG\tA,T\tNF2\t101100\t20301380\t5\n', '22\t30070880\trs74315504\tC\tT\tNF2\t101100\t20301380\t5\n', '22\t30077432\trs74315505\tG\tT\tNF2\t101100\t20301380\t5\n', '22\t30077457\trs74315493\tT\tC\tNF2\t101100\t20301380\t5\n', '22\t30077466\trs74315494\tA\tC\tNF2\t101100\t20301380\t5\n', '2\t189852825\trs121912926\tG\tA\tCOL3A1\t130050\t20301667\t5\n', '2\t189855034\trs121912927\tG\tA\tCOL3A1\t130050\t20301667\t5\n', '2\t189856404\trs121912919\tG\tA\tCOL3A1\t130050\t20301667\t5\n', '2\t189860897\trs121912928\tG\tA\tCOL3A1\t130050\t20301667\t5\n', '2\t189861205\trs121912923\tG\tA\tCOL3A1\t130050\t20301667\t5\n', '2\t189863419\trs121912921\tG\tA\tCOL3A1\t130050\t20301667\t5\n', '2\t189864286\trs121912925\tG\tA\tCOL3A1\t130050\t20301667\t5\n', '2\t189866280\trs113485686\tG\tA\tCOL3A1\t130050\t20301667\t5\n', '2\t189867042\trs121912920\tG\tA\tCOL3A1\t130050\t20301667\t5\n', '2\t189869028\trs121912913\tG\tA\tCOL3A1\t130050\t20301667\t5\n', '2\t189869038\trs121912922\tG\tT\tCOL3A1\t130050\t20301667\t5\n', '2\t189870933\trs121912916\tG\tA\tCOL3A1\t130050\t20301667\t5\n', '2\t189871691\trs121912915\tG\tT\tCOL3A1\t130050\t20301667\t5\n', '2\t189872272\trs121912924\tG\tA\tCOL3A1\t130050\t20301667\t5\n', '2\t189872861\trs121912918\tG\tA\tCOL3A1\t130050\t20301667\t5\n', '2\t189873678\trs121912917\tG\tA\tCOL3A1\t130050\t20301667\t5\n', '2\t189873687\trs112456072\tG\tA\tCOL3A1\t130050\t20301667\t5\n', '15\t48703535\trs267606796\tC\tT\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48717680\trs137854464\tC\tT\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48720620\trs137854457\tC\tG\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48725140\trs137854460\tC\tG\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48729223\trs137854461\tT\tC\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48729559\trs267606797\tA\tC\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48756174\trs137854459\tA\tG\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48758017\trs113871094\tG\tA\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48760153\trs267606801\tA\tC\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48760191\trs267606800\tC\tG\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48760294\trs111401431\tG\tA\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48776060\trs137854474\tA\tG\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48776107\trs137854458\tC\tG\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48776128\trs137854471\tC\tT\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48777615\trs137854469\tC\tT\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48777621\trs137854483\tC\tT\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48779352\trs137854475\tC\tT\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48779562\trs137854456\tC\tG,T\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48779581\trs137854473\tT\tA\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48779586\trs137854482\tC\tT\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48779593\trs137854468\tC\tT\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5 0\n', '15\t48779622\trs137854470\tC\tT\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48780390\trs137854484\tC\tT\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48780427\trs137854465\tA\tG\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48780430\trs137854478\tC\tT\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48780645\trs137854472\tT\tC\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48780678\trs137854481\tC\tT\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48782093\trs140593\tC\tG,T\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48782176\trs137854477\tC\tT\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48789495\trs137854479\tT\tC\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48789588\trs137854463\tT\tG\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48802312\trs137854462\tT\tA\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48805749\trs137854476\tG\tA\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48807599\trs137854485\tG\tA\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48829826\trs137854480\tG\tA\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5 5\n', '15\t48892393\trs199474693\tA\tC\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '15\t48892414\trs137854467\tG\tA\tFBN1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5 5\n', '9\t101894968\trs121918713\tG\tT\tTGFBR1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '9\t101900165\trs121918712\tC\tT\tTGFBR1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '9\t101900288\trs111854391\tC\tT\tTGFBR1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5 4\n', '9\t101904965\trs121918710\tT\tG\tTGFBR1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '9\t101908835\trs121918711\tA\tG\tTGFBR1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '9\t101911534\trs111426349\tC\tT\tTGFBR1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '9\t101911535\trs113605875\tG\tA,C\tTGFBR1\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5 5 5\n', '3\t30713598\trs28934568\tT\tC\tTGFBR2\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5 5\n', '3\t30713619\trs34833812\tC\tT\tTGFBR2\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '3\t30713681\trs104893812\tT\tA\tTGFBR2\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '3\t30713738\trs104893813\tG\tC\tTGFBR2\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '3\t30713744\trs104893814\tG\tT\tTGFBR2\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '3\t30715615\trs104893817\tA\tG\tTGFBR2\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '3\t30715622\trs104893818\tC\tT\tTGFBR2\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '3\t30715688\trs104893807\tC\tT\tTGFBR2\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '3\t30715720\trs104893811\tC\tT\tTGFBR2\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '3\t30715721\trs104893816\tG\tA\tTGFBR2\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '3\t30729962\trs104893819\tC\tT\tTGFBR2\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '3\t30730003\trs121918715\tG\tA\tTGFBR2\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '3\t30732969\trs104893810\tC\tT\tTGFBR2\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '3\t30732970\trs104893815\tG\tA\tTGFBR2\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5 255\n', '3\t30732996\trs104893809\tC\tT\tTGFBR2\t154700; 609192; 608967; 610168; 610380; 613795; 611788\t20301510; 20301312; 20301299\t5\n', '11\t47354482\trs121909378\tC\tT\tMYBPC3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '11\t47354789\trs121909377\tC\tA\tMYBPC3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '11\t47356655\trs121909376\tT\tG\tMYBPC3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '11\t47359085\trs2856655\tC\tT\tMYBPC3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '11\t47364129\trs121909374\tC\tG\tMYBPC3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '11\t47372907\trs121909375\tT\tC\tMYBPC3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '14\t23882064\trs367543053\tT\tC\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '14\t23883056\trs121913649\tT\tA\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '14\t23883224\trs121913652\tC\tT\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '14\t23884230\trs28933098\tG\tA,T\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '14\t23884385\trs121913654\tA\tG\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5 5\n', '14\t23884467\trs267606909\tC\tT\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '14\t23884684\trs367543052\tATCT\tA\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 4\n', '14\t23884861\trs121913650\tG\tA\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '14\t23885314\trs121913648\tTCTT\tT\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '14\t23886382\trs121913647\tC\tA,G\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '14\t23893193\trs121913629\tC\tT\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '14\t23893235\trs121913639\tC\tT\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '14\t23893268\trs121913628\tC\tT\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '14\t23893316\trs121913631\tG\tC\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '14\t23893321\trs267606908\tT\tC\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '14\t23894048\trs36211715\tC\tT\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '14\t23894581\trs121913634\tT\tC\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '14\t23894622\trs121913643\tG\tC\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '14\t23894969\trs121913632\tC\tG\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '14\t23895007\trs121913644\tG\tA\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 0\n', '14\t23895023\trs121913630\tG\tA\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '14\t23895179\trs121913641\tC\tT\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '14\t23895180\trs121913637\tG\tA\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '14\t23895189\trs121913638\tC\tT\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '14\t23896480\trs121913646\tG\tA\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '14\t23896866\trs121913627\tC\tT\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '14\t23896932\trs121913626\tC\tG\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 4\n', '14\t23897088\trs121913642\tA\tG\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '14\t23897749\trs121913636\tA\tC\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '14\t23897796\trs267606911\tC\tA\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 4\n', '14\t23897840\trs121913651\tC\tT\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '14\t23898214\trs121913625\tG\tA,T\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5 5\n', '14\t23898249\trs121913653\tG\tA\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 0\n', '14\t23898487\trs121913624\tC\tA,T\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5 5\n', '14\t23898488\trs3218714\tG\tA\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '14\t23899076\trs121913640\tA\tG\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '14\t23900656\trs121913633\tC\tT\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '14\t23900677\trs3218713\tC\tT\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '14\t23900798\trs267606910\tC\tT\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '14\t23900859\trs121913645\tC\tT\tMYH7\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t201328373\trs121964857\tG\tA\tTNNT2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 0\n', '1\t201328764\trs121964861\tC\tT\tTNNT2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t201331099\trs121964859\tTCTT\tT\tTNNT2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t201331116\trs121964860\tC\tA\tTNNT2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t201333464\trs74315379\tG\tA\tTNNT2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t201333494\trs74315380\tG\tA\tTNNT2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 4 0\n', '1\t201334372\trs121964858\tA\tT\tTNNT2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t201334425\trs121964856\tC\tT\tTNNT2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '1\t201334766\trs121964855\tA\tT\tTNNT2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5 5 5\n', '19\t55663219\trs104894725\tT\tG\tTNNI3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '19\t55663228\trs267607127\tC\tT\tTNNI3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '19\t55663249\trs104894727\tC\tT\tTNNI3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 0\n', '19\t55663260\trs104894729\tC\tT\tTNNI3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '19\t55663266\trs104894728\tT\tC\tTNNI3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '19\t55663280\trs267607129\tG\tC\tTNNI3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '19\t55665415\trs104894730\tT\tC\tTNNI3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '19\t55665436\trs121917761\tC\tT\tTNNI3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '19\t55665514\trs104894724\tG\tA,C\tTNNI3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5 5 5\n', '19\t55665516\trs121917760\tA\tT\tTNNI3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '19\t55667607\trs77615401\tG\tA\tTNNI3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 2\n', '19\t55668420\trs267607130\tT\tG\tTNNI3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '19\t55668465\trs267607128\tG\tA\tTNNI3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '15\t63336229\trs104894501\tG\tA\tTPM1\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '15\t63336271\trs104894505\tG\tA\tTPM1\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '15\t63349227\trs104894504\tT\tC\tTPM1\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '15\t63353098\trs104894503\tG\tA\tTPM1\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5 5 5\n', '15\t63353114\trs104894502\tA\tG,T\tTPM1\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 1\n', '15\t63354462\trs199476317\tG\tA\tTPM1\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t1 5\n', '3\t46900985\trs104893749\tC\tT\tMYL3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 0\n', '3\t46901001\trs104893748\tT\tC\tMYL3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '3\t46901019\trs104893750\tC\tT\tMYL3\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 0\n', '15\t35082659\trs121912674\tT\tC\tACTC1\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '15\t35082750\trs267606629\tC\tG\tACTC1\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '15\t35083364\trs121912673\tC\tT\tACTC1\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '15\t35083416\trs121912675\tC\tA\tACTC1\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '15\t35084729\trs267606628\tG\tC\tACTC1\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '15\t35085527\trs121912677\tT\tC\tACTC1\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '15\t35085599\trs193922680\tC\tT\tACTC1\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5 5\n', '15\t35085632\trs121912676\tG\tA\tACTC1\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 0\n', '7\t151257646\trs267606979\tA\tG\tPRKAG2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '7\t151257696\trs121908991\tC\tT\tPRKAG2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '7\t151257697\trs121908990\tG\tC\tPRKAG2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '7\t151257699\trs267606977\tT\tC\tPRKAG2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '7\t151261232\trs267606978\tC\tG\tPRKAG2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '7\t151261285\trs121908989\tT\tA\tPRKAG2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '7\t151261289\trs267606976\tA\tG\tPRKAG2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '7\t151265836\trs28938173\tG\tT\tPRKAG2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 4\n', '7\t151265887\trs121908988\tT\tC\tPRKAG2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '7\t151273498\trs121908987\tC\tT\tPRKAG2\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5 5\n', 'X\t100652859\trs104894852\tT\tC\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100652895\trs104894844\tC\tA\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100652992\trs104894849\tA\tT\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653006\trs28935494\tC\tG,T\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 1\n', 'X\t100653021\trs104894827\tG\tA\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 0\n', 'X\t100653062\trs28935493\tC\tT\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653063\trs104894843\tG\tA\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653067\trs104894842\tC\tT\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653374\trs28935492\tC\tG\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653375\trs104894832\tC\tT\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653378\trs28935491\tG\tT\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653455\trs104894828\tC\tA,T\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', 'X\t100653467\trs28935489\tG\tA\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653469\trs104894846\tC\tT\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653471\trs104894830\tT\tC\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653496\trs104894839\tC\tT\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653522\trs28935485\tG\tC\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653542\trs28935495\tT\tC\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653551\trs28935488\tA\tG\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653777\trs28935487\tT\tA\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653783\trs28935486\tT\tA\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653894\trs104894840\tC\tT\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653895\trs104894841\tG\tA\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653908\trs104894851\tG\tT\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100653930\trs28935197\tT\tC\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100654735\trs199473684\tC\tT\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100655687\trs104894838\tA\tC\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100656683\trs28935196\tA\tG\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100656701\trs28935195\tC\tT\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100656731\trs104894837\tG\tA\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100656740\trs104894845\tC\tG,T\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', 'X\t100658834\trs104894834\tG\tA\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100658972\trs104894833\tC\tG\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100662698\trs104894848\tC\tG\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100662726\trs104894836\tA\tC\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100662761\trs104894829\tC\tT\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100662774\trs104894831\tG\tA\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100662791\trs104894835\tT\tC\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', 'X\t100662834\trs104894847\tC\tG\tGLA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156084725\trs61046466\tC\tT\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '1\t156084878\trs28928903\tG\tC\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156084885\trs58922911\tT\tG\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156084887\trs28928900\tC\tG\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '1\t156084963\trs28933090\tT\tG\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156085056\trs267607646\tT\tTG\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156100449\trs60864230\tG\tC,T\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5 5\n', '1\t156100470\trs60652225\tT\tC,G\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t1 5\n', '1\t156100479\trs58912633\tC\tT\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156100484\trs60310264\tG\tA\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156100532\trs28933093\tG\tA\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '1\t156104265\trs28933091\tC\tA,G\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t1 5\n', '1\t156104287\trs61195471\tG\tA\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156104288\trs28933092\tA\tG,T\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 1\n', '1\t156104620\trs28928901\tC\tT\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '1\t156104629\trs60682848\tC\tT\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156104630\trs199474724\tG\tA\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156104644\trs61214927\tG\tA\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156104701\trs121912496\tC\tT\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156104733\trs58048078\tT\tA\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156104755\trs267607593\tT\tC\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156105059\trs59885338\tC\tT\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156105716\trs267607554\tC\tT\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156105827\trs60458016\tG\tA,T\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5 5 1\n', '1\t156105885\trs61672878\tG\tA,T\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5 1\n', '1\t156105894\trs121912495\tT\tC\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156106042\trs58672172\tC\tT\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156106165\trs121912493\tG\tA\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156106204\trs58932704\tC\tT\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156106725\trs61282106\tG\tA\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156106742\trs28928902\tC\tG,T\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t1 5\n', '1\t156106775\trs57920071\tC\tT\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156106776\trs11575937\tG\tA,T\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5 5\n', '1\t156106808\trs56699480\tC\tT\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156106994\trs57318642\tC\tT\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156106995\trs57520892\tG\tA,C\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5 5 5\n', '1\t156107000\trs121912494\tG\tA\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156107001\trs60580541\tC\tT\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156107004\trs60934003\tT\tC\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156107457\trs56984562\tC\tA,G,T\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t1 5 4\n', '1\t156107462\trs56673169\tG\tC\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156107547\trs80338938\tC\tA,T\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 1\n', '1\t156108298\trs60890628\tC\tT\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5 5 0\n', '1\t156108325\trs57830985\tG\tA\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156108401\trs59886214\tG\tA\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156108402\trs61064130\tG\tA\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5\n', '1\t156108404\trs58596362\tC\tT\tLMNA\t"115197; 192600; 601494; 613690; 115196; 608751; 612098; 600858; 301500; 608758; 115200"\t20301725\t5 5\n', '1\t237617696\trs121918602\tT\tC\tRYR2\t604772\tNot specified\t5\n', '1\t237798237\trs121918597\tC\tT\tRYR2\t604772\tNot specified\t5\n', '1\t237802368\trs121918603\tC\tT\tRYR2\t604772\tNot specified\t5\n', '1\t237804238\trs121918601\tA\tT\tRYR2\t604772\tNot specified\t5\n', '1\t237811823\trs121918598\tG\tC\tRYR2\t604772\tNot specified\t5\n', '1\t237947324\trs121918599\tC\tG\tRYR2\t604772\tNot specified\t5\n', '1\t237947614\trs121918605\tA\tG\tRYR2\t604772\tNot specified\t5\n', '1\t237954741\trs121918600\tC\tT\tRYR2\t604772\tNot specified\t5\n', '1\t237961337\trs121918604\tG\tA,T\tRYR2\t604772\tNot specified\t5\n', '1\t237982481\trs121918606\tC\tG\tRYR2\t604772\tNot specified\t5\n', '12\t32955433\trs121434421\tG\tA\tPKP2\t609040; 604400; 610476; 607450; 610193\t20301310\t5\n', '12\t33031955\trs121434420\tG\tA\tPKP2\t609040; 604400; 610476; 607450; 610193\t20301310\t5 5\n', '6\t7542236\trs121912998\tG\tA\tDSP\t609040; 604400; 610476; 607450; 610193\t20301310\t5 4 3\n', '6\t7565675\trs121912993\tT\tG\tDSP\t609040; 604400; 610476; 607450; 610193\t20301310\t5\n', '6\t7565711\trs121912992\tC\tG,T\tDSP\t609040; 604400; 610476; 607450; 610193\t20301310\t5\n', '6\t7566661\trs121912991\tC\tT\tDSP\t609040; 604400; 610476; 607450; 610193\t20301310\t5\n', '6\t7572161\trs121912995\tC\tT\tDSP\t609040; 604400; 610476; 607450; 610193\t20301310\t5\n', '6\t7575019\trs121912994\tT\tA\tDSP\t609040; 604400; 610476; 607450; 610193\t20301310\t5\n', '6\t7580222\trs121912997\tC\tT\tDSP\t609040; 604400; 610476; 607450; 610193\t20301310\t5\n', '6\t7583295\trs121912996\tC\tT\tDSP\t609040; 604400; 610476; 607450; 610193\t20301310\t5\n', '6\t7584591\trs28931610\tC\tT\tDSP\t609040; 604400; 610476; 607450; 610193\t20301310\t5\n', '6\t7585996\trs121912999\tG\tA\tDSP\t609040; 604400; 610476; 607450; 610193\t20301310\t5\n', '3\t14183165\trs63750743\tC\tT\tTMEM43\t609040; 604400; 610476; 607450; 610193\t20301310\t5 5\n', '18\t29104517\trs121913011\tA\tG\tDSG2\t609040; 604400; 610476; 607450; 610193\t20301310\t5\n', '18\t29104755\trs121913007\tG\tA\tDSG2\t609040; 604400; 610476; 607450; 610193\t20301310\t5\n', '18\t29104828\trs121913012\tG\tA\tDSG2\t609040; 604400; 610476; 607450; 610193\t20301310\t5 4\n', '18\t29111109\trs193922639\tG\tA\tDSG2\t609040; 604400; 610476; 607450; 610193\t20301310\t5 3\n', '18\t29116261\trs121913009\tG\tA\tDSG2\t609040; 604400; 610476; 607450; 610193\t20301310\t5\n', '11\t2466678\trs120074191\tC\tT\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5\n', '11\t2549189\trs120074192\tA\tG\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5\n', '11\t2591912\trs120074177\tG\tA,C\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t1 5\n', '11\t2591945\trs104894252\tG\tA,C\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5 1\n', '11\t2591949\trs120074178\tG\tA,T\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5 1\n', '11\t2592563\trs151344631\tG\tA\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5\n', '11\t2593287\trs120074196\tG\tA,C\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t1 5\n', '11\t2593319\trs120074179\tG\tA,C,T\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5 5 1 1\n', '11\t2594100\trs120074193\tG\tA\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5\n', '11\t2594101\trs120074194\tG\tA\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5\n', '11\t2594112\trs120074180\tC\tT\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5\n', '11\t2594193\trs120074187\tG\tA\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5\n', '11\t2594209\trs120074186\tG\tC\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5\n', '11\t2594211\trs120074181\tG\tA,C\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5 1\n', '11\t2594214\trs120074195\tG\tC\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5\n', '11\t2604678\trs120074182\tC\tT\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5\n', '11\t2604683\trs120074184\tG\tA,C,T\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5 1 1\n', '11\t2604765\trs12720459\tC\tA,G,T\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5 5 1 5\n', '11\t2606443\trs120074183\tG\tA\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5\n', '11\t2608920\trs267607197\tG\tA\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5\n', '11\t2790111\trs17215500\tC\tG,T\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t1 5\n', '11\t2790132\trs120074188\tG\tA\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5\n', '11\t2797262\trs120074185\tC\tA,T\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t1 5\n', '11\t2799220\trs17221854\tC\tT\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5 255\n', '11\t2799233\trs120074189\tC\tT\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5\n', '11\t2799239\trs120074190\tG\tA\tKCNQ1\t192500; 613688; 603830; 601144\t20301308\t5 5\n', '7\t150644565\trs121912509\tC\tT\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t5\n', '7\t150644817\trs121912514\tG\tA,T\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t5 1\n', '7\t150644921\trs77331749\tG\tA\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t5 5\n', '7\t150645954\trs121912513\tT\tA,G\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t5 5 1\n', '7\t150646072\trs121912506\tC\tT\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t5\n', '7\t150646083\trs121912510\tG\tA\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t5\n', '7\t150647399\trs121912512\tC\tT\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t5\n', '7\t150648599\trs121912507\tC\tT\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t5\n', '7\t150648640\trs199472944\tG\tA\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t5\n', '7\t150648650\trs199472942\tA\tC,G\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t1 5\n', '7\t150648703\trs28928904\tA\tC,G,T\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t5 1 1\n', '7\t150648717\trs104894021\tG\tC,T\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t5 5\n', '7\t150648737\trs121912508\tG\tA\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t5\n', '7\t150648767\trs9333649\tC\tA,G,T\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t1 5 1\n', '7\t150648799\trs121912504\tG\tA\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t5\n', '7\t150648809\trs121912516\tC\tG\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t5\n', '7\t150649602\trs28928905\tC\tG,T\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t1 5\n', '7\t150649662\trs121912505\tT\tC\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t5\n', '7\t150671808\trs121912515\tG\tA,C\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t1 5\n', '7\t150671913\trs121912511\tT\tG\tKCNH2\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38592093\trs137854603\tC\tT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38592386\trs137854610\tC\tT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38592408\trs137854619\tC\tT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38592479\trs137854614\tT\tC\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38592480\trs137854615\tA\tG\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38592513\trs137854601\tC\tT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5 5 5\n', '3\t38592734\trs137854604\tG\tA\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38592932\trs28937316\tC\tT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38592995\trs137854600\tC\tA,T\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t1 5 5\n', '3\t38592996\trs137854613\tG\tA,T\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38593004\trs199473282\tG\tA,T\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5 1\n', '3\t38595800\trs137854607\tC\tG,T\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5 5\n', '3\t38597155\trs137854602\tG\tA\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38598759\trs137854620\tC\tT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38601661\trs137854612\tC\tT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5 5 5\n', '3\t38601909\trs28937317\tT\tC\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38603947\trs41313031\tG\tA\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38603976\trs28937319\tG\tA\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38607917\trs137854618\tC\tT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5 5 5\n', '3\t38607956\trs137854616\tC\tT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38608046\trs199473207\tG\tA\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38616876\trs41261344\tC\tT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5 255\n', '3\t38620907\trs7626962\tG\tT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t255 5 2\n', '3\t38622493\trs137854617\tC\tT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5 5\n', '3\t38622661\trs137854609\tC\tA,T\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5 1\n', '3\t38622827\trs137854605\tGGA\tGTT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38639278\trs137854611\tG\tA,T\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5 1\n', '3\t38640469\trs199473579\tC\tT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38645420\trs1805124\tT\tC\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5 2\n', '3\t38645553\trs137854606\tC\tA\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38645558\trs199473118\tG\tA\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38647447\trs199473112\tG\tC\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38647498\trs199473111\tC\tT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38648200\trs28937318\tC\tA,T\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t1 5\n', '3\t38651267\trs137854608\tC\tT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38655243\trs45471994\tC\tT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5\n', '3\t38655272\trs45546039\tC\tT\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5 5\n', '3\t38655278\trs45620037\tG\tA\tSCN5A\t192500; 613688; 603830; 601144\t20301308\t5 5\n', '2\t21226112\trs121918385\tTC\tT\tAPOB\t143890; 603776\tNot specified\t5\n', '2\t21229068\trs12713559\tG\tA\tAPOB\t143890; 603776\tNot specified\t5\n', '2\t21229160\trs5742904\tC\tT\tAPOB\t143890; 603776\tNot specified\t5\n', '2\t21230539\trs121918387\tCT\tC\tAPOB\t143890; 603776\tNot specified\t5\n', '2\t21232176\trs121918390\tG\tA\tAPOB\t143890; 603776\tNot specified\t5\n', '2\t21232905\trs121918388\tG\tA\tAPOB\t143890; 603776\tNot specified\t5\n', '2\t21233487\trs121918386\tG\tA\tAPOB\t143890; 603776\tNot specified\t5\n', '2\t21234172\trs121918384\tAAC\tA\tAPOB\t143890; 603776\tNot specified\t5\n', '2\t21234473\trs281865425\tCTGTT\tC\tAPOB\t143890; 603776\tNot specified\t5\n', '2\t21235311\trs121918389\tG\tA\tAPOB\t143890; 603776\tNot specified\t5\n', '2\t21236251\trs121918383\tG\tA\tAPOB\t143890; 603776\tNot specified\t5\n', '2\t21238041\trs121918391\tA\tT\tAPOB\t143890; 603776\tNot specified\t5\n', '1\t55509689\trs28942111\tT\tA\tPCSK9\t143890; 603776\tNot specified\t5\n', '1\t55518073\trs28942112\tT\tC\tPCSK9\t143890; 603776\tNot specified\t5\n', '1\t55523127\trs137852912\tG\tA,T\tPCSK9\t143890; 603776\tNot specified\t5\n', '19\t38934252\trs118192173\tC\tT\tRYR1\t145600\t20301325\t5\n', '19\t38934851\trs118192161\tC\tT\tRYR1\t145600\t20301325\t255 5\n', '19\t38937346\trs367543054\tT\tG\tRYR1\t145600\t20301325\t5\n', '19\t38942486\trs118192117\tT\tC\tRYR1\t145600\t20301325\t5\n', '19\t38942490\trs118192116\tC\tG\tRYR1\t145600\t20301325\t5\n', '19\t38945999\trs118192162\tA\tC,G\tRYR1\t145600\t20301325\t255 5 1\n', '19\t38946338\trs193922771\tA\tAATCA\tRYR1\t145600\t20301325\t5\n', '19\t38976628\trs367543055\tC\tA\tRYR1\t145600\t20301325\t5\n', '19\t38981349\trs367543056\tA\tT\tRYR1\t145600\t20301325\t5\n', '19\t38985205\trs118192163\tG\tA,C\tRYR1\t145600\t20301325\t255 5 1\n', '19\t38990601\trs118192174\tT\tA\tRYR1\t145600\t20301325\t5\n', '19\t38990637\trs28933396\tG\tA,T\tRYR1\t145600\t20301325\t5 1\n', '19\t39001206\trs111364670\tG\tA,T\tRYR1\t145600\t20301325\t5\n', '19\t39008291\trs367543057\tC\tA\tRYR1\t145600\t20301325\t5\n', '19\t39010039\trs367543058\tT\tG\tRYR1\t145600\t20301325\t5\n', '19\t39013751\trs193922836\tC\tT\tRYR1\t145600\t20301325\t5\n', '19\t39016095\trs118192164\tC\tT\tRYR1\t145600\t20301325\t5\n', '19\t39055613\trs118192165\tGCGCCAGTTC\tG\tRYR1\t145600\t20301325\t5\n', '19\t39055986\trs193922856\tGCAGCAGTGACGCGCGCTGGG\tG\tRYR1\t145600\t20301325\t5\n', '19\t39057593\trs143849895\tG\tA,T\tRYR1\t145600\t20301325\t5\n', '19\t39062821\trs118192166\tA\tG\tRYR1\t145600\t20301325\t5\n', '19\t39070620\trs193922870\tA\tT\tRYR1\t145600\t20301325\t5\n', '19\t39070635\trs118192179\tT\tC\tRYR1\t145600\t20301325\t5\n', '19\t39070644\trs118192167\tA\tG\tRYR1\t145600\t20301325\t5 255\n', '19\t39070730\trs118192180\tC\tT\tRYR1\t145600\t20301325\t5\n', '19\t39071043\trs118192168\tG\tA\tRYR1\t145600\t20301325\t5 5\n', '19\t39071079\trs118192181\tC\tT\tRYR1\t145600\t20301325\t5\n', '19\t39071080\trs63749869\tG\tA\tRYR1\t145600\t20301325\t5 5\n', '19\t39071084\trs118192169\tGTTCTACAACAAGAGCGAGGAT\tG\tRYR1\t145600\t20301325\t5\n', '19\t39074134\trs193922886\tA\tG\tRYR1\t145600\t20301325\t5\n', '19\t39075629\trs118192170\tT\tC\tRYR1\t145600\t20301325\t5 255\n', '19\t39075632\trs118192183\tG\tA\tRYR1\t145600\t20301325\t5\n', '19\t39075676\trs118192184\tA\tG\tRYR1\t145600\t20301325\t5\n', '19\t39075696\trs118192171\tCTT\tCAC\tRYR1\t145600\t20301325\t5 5\n', '1\t201022666\trs28930068\tC\tT\tCACNA1S\t145600\t20301325\t5\n', '1\t201022667\trs28930069\tG\tC\tCACNA1S\t145600\t20301325\t5\n', '1\t201029943\trs1800559\tC\tT\tCACNA1S\t145600\t20301325\t255 5\n', '1\t201029944\trs80338782\tG\tA,T\tCACNA1S\t145600\t20301325\t5 1\n', '1\t201035411\trs80338779\tC\tA\tCACNA1S\t145600\t20301325\t5\n', '1\t201036045\trs267606698\tA\tT\tCACNA1S\t145600\t20301325\t5\n', '1\t201047043\trs80338777\tC\tT\tCACNA1S\t145600\t20301325\t5\n', '1\t201047044\trs80338778\tG\tA,C\tCACNA1S\t145600\t20301325\t5\n']
		else:
			print "Using <" + args.db + "> variant database."
			lines = []
			with open(self.path, 'r') as handle:
				for row, line in enumerate(handle):
					if row == 0: continue
					lines.append(line)
		for line in lines:
			variant = Variant(line.strip().split('\t'))
			if self.by_chromosome[variant.chromosome].get(variant.position, False):
				self.by_chromosome[variant.chromosome][variant.position].append(variant)
			else:
				self.by_chromosome[variant.chromosome][variant.position] = [variant]

'''
Load the variant database from memory or from a specified local file.
'''
preloaded = True if args.db is None else False
db = DB("complete_db.txt" if preloaded else args.db)
db.load(preloaded=preloaded)

collected_variants = []
collected_samples = []
path_to_vcf = args.genome
condition_map = {'ACTA2': 'Marfan Syndrome; Loeys-Dietz Syndromes; and Familial Thoracic Aortic Aneurysms and Dissections', 'MYH11': 'Marfan Syndrome; Loeys-Dietz Syndromes; and Familial Thoracic Aortic Aneurysms and Dissections', 'TPM1': 'Hypertrophic cardiomyopathy; Dilated cardiomyopathy', 'TGFBR2': 'Marfan Syndrome; Loeys-Dietz Syndromes; and Familial Thoracic Aortic Aneurysms and Dissections', 'ACTC1': 'Hypertrophic cardiomyopathy; Dilated cardiomyopathy', 'MSH2': 'Lynch syndrome', 'STK11': 'Peutz-Jeghers Syndrome', 'MEN1': 'Multiple Endocrine Neoplasia Type 1', 'RET': 'Familial Medullary Thyroid Cancer (FMTC)', 'SMAD3': 'Marfan Syndrome; Loeys-Dietz Syndromes; and Familial Thoracic Aortic Aneurysms and Dissections', 'VHL': 'Von Hippel Lindau syndrome', 'PCSK9': 'Familial hypercholesterolemia', 'MYL2': 'Hypertrophic cardiomyopathy; Dilated cardiomyopathy', 'MLH1': 'Lynch syndrome', 'COL3A1': 'EDS - Vascular type', 'TSC2': 'Tuberous Sclerosis Complex', 'LMNA': 'Hypertrophic cardiomyopathy; Dilated cardiomyopathy', 'TSC1': 'Tuberous Sclerosis Complex', 'SDHAF2': 'Hereditary Paraganglioma Pheochromocytoma Syndrome (PGL2)', 'TNNT2': 'Hypertrophic cardiomyopathy; Dilated cardiomyopathy', 'APOB': 'Familial hypercholesterolemia', 'MYH7': 'Hypertrophic cardiomyopathy; Dilated cardiomyopathy', 'RYR1': 'Malignant hyperthermia susceptibility', 'RYR2': 'Catecholaminergic polymorphic ventricular tachycardia', 'DSC2': 'Arrhythmogenic right ventricular cardiomyopathy', 'NTRK1': 'Familial Medullary Thyroid Cancer (FMTC)', 'RB1': 'Retinoblastoma', 'NF2': 'Neurofibromatosis type 2', 'GLA': 'Hypertrophic cardiomyopathy; Dilated cardiomyopathy', 'DSG2': 'Arrhythmogenic right ventricular cardiomyopathy', 'CACNA1S': 'Malignant hyperthermia susceptibility', 'TNNI3': 'Hypertrophic cardiomyopathy; Dilated cardiomyopathy', 'BRCA1': 'Hereditary Breast and Ovarian Cancer', 'WT1': 'WT1-related Wilms tumor', 'TGFBR1': 'Marfan Syndrome; Loeys-Dietz Syndromes; and Familial Thoracic Aortic Aneurysms and Dissections', 'BRCA2': 'Hereditary Breast and Ovarian Cancer', 'PKP2': 'Arrhythmogenic right ventricular cardiomyopathy', 'DSP': 'Arrhythmogenic right ventricular cardiomyopathy', 'FBN1': 'Marfan Syndrome; Loeys-Dietz Syndromes; and Familial Thoracic Aortic Aneurysms and Dissections', 'PRKAG2': 'Hypertrophic cardiomyopathy; Dilated cardiomyopathy', 'LDLR': 'Familial hypercholesterolemia', 'MSH6': 'Lynch syndrome', ' multiple colorectal': '"MYH-Associated Polyposis; Adenomas', 'PMS2': 'Lynch syndrome', 'KCNQ1': '"Romano-Ward Long QT Syndromes Types 1 2 and 3 Brugada Syndrome"', 'SCN5A': '"Romano-Ward Long QT Syndromes Types 1 2 and 3 Brugada Syndrome"', 'TP53': 'Li-Fraumeni Syndrome', 'KCNH2': '"Romano-Ward Long QT Syndromes Types 1 2 and 3 Brugada Syndrome"', 'MYLK': 'Marfan Syndrome; Loeys-Dietz Syndromes; and Familial Thoracic Aortic Aneurysms and Dissections', 'PTEN': 'PTEN Hamartoma Tumor Syndrome', 'MYBPC3': 'Hypertrophic cardiomyopathy; Dilated cardiomyopathy', 'APC': 'Familial adenomatous polyposis', 'SDHC': 'Hereditary Paraganglioma Pheochromocytoma Syndrome (PGL3)', 'SDHB': 'Hereditary Paraganglioma Pheochromocytoma Syndrome (PGL4)', 'SDHD': 'Hereditary Paraganglioma Pheochromocytoma Syndrome (PGL1)', 'TMEM43': 'Arrhythmogenic right ventricular cardiomyopathy', 'MYL3': 'Hypertrophic cardiomyopathy; Dilated cardiomyopathy'}


'''
Determine what filetype was submitted.
'''
VCF = True if 'vcf' in path_to_vcf else False
CG = True if 'tsv' in path_to_vcf else False
SNP_CHIP = True if 'txt' in path_to_vcf else False

print " Variants Found ".center(80, "-")
with open(path_to_vcf, 'r') as vcf:
	for line in vcf:
		if line.startswith("#") or line.startswith(">") or line.startswith(" "):
			continue
		if VCF:
			# break open the VCF record
			data = line.strip().split('\t')
			chromosome = data[0].replace('chr', '')
			position = data[1]
			rsid = data[2]
			ref = data[3]
			alt = data[4].split(',')
			quality = data[5]
			filt = data[6]
			info = data[7]
			format = data[8]
			samples = data[9:]
		elif CG:
			# Handle CG files
			if 'VQHIGH' not in line:
				continue
			data = line.strip().split('\t')
			if 'snp' not in data[6]:
				continue
			chromosome = data[3].replace('chr', '')
			position = str(int(data[4])+1)
			alt = data[8]
			ref = data[7]
		elif SNP_CHIP:
			data = line.strip().split('\t')
			if len(data) != 4:
				print "Not a valid 23andMe File."
				sys.exit(0)
			rsid = data[0]
			chromosome = data[1]
			position = data[2]
			if chromosome == "MT" or chromosome == "Y" or chromosome == "X":
				genotype = (data[3][0], data[3][0])
			else:
				genotype = (data[3][0], data[3][1])

		# ignore any weird data
		if chromosome not in chromosomes:
			continue

		# do we know any variants for this position?
		if db.by_chromosome[chromosome].get(position, False):
			
			if VCF:
				# Handle standard VCF files
				for index, sample in enumerate(samples):
					if len(sample) <= 2:
						continue
					if sample[1] != "|" and sample[1] != "/":
						continue
					alleles = sample.split(':')[0]
					if '|' in alleles:
						maternal, paternal = alleles.split('|')
					if '/' in alleles:
						maternal, paternal = alleles.split('/')

					# does the sample have alt alleles?
					for variant in db.by_chromosome[chromosome][position]:
						for v in (maternal, paternal):
							if int(v) == 0: continue # handle ref calls
							if alt[int(v)-1] == variant.alt:
								print variant,'\t',"Sample="+str(index)
								collected_variants.append(variant)
								collected_samples.append(str(index))
			elif CG:
				# Handle the Complete Genomics files
				for variant in db.by_chromosome[chromosome][position]:
					if variant.alt == alt:
						print variant,'\t',"Sample=0"
						collected_variants.append(variant)
			elif SNP_CHIP:
				# Handle 23 and Me variants
				for variant in db.by_chromosome[chromosome][position]:
					if variant.alt in genotype and len(variant.ref) == 1 and len(variant.alt) == 1:
						print variant, genotype
						collected_variants.append(variant)

# Print a message if no variants were found
if len(collected_variants) == 0:
	print "No variants found."

# hash the file so we have an identifier
hasher = hashlib.sha256()
with open(path_to_vcf, 'rb') as f:
	while True:
		block = f.read(256)
		hasher.update(block)
		hasher.digest()
		if len(block) < 256:
			break

with open('output.html', 'w') as output:
	output.write("""<!DOCTYPE html>
				<html>
					<head>
				    	<title>PATH-SCAN</title>
						<meta name="viewport" content="width=device-width, initial-scale=1.0">
						<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet" media="screen">
					</head>
					<script>
					var checked = false;
					function irb_toggle() {
						if (checked) {
							checked = false;
							document.getElementById('submitlink').href = '#';
							document.getElementById('submitlink').className = 'btn btn-inactive';

						} else {
							checked = true;
							document.getElementById('submitlink').href = 'http://www.stanford.edu/~zappala/cgi-bin/pathscan_submit.cgi?hash=""" + hasher.hexdigest() + """&count=""" + str(len(collected_variants)) + """';
							document.getElementById('submitlink').className = 'btn btn-success';
						
						}
					}
					</script>
					<body style='width:80%;margin: 0 auto;'>
				   		<h3>PATH-SCAN</h3>""")
	output.write("<pre>Note that all end-user services are undetaken with your privacy in mind; no data is transferred to our server and the entire annotation process is carried out on your machine.</pre>")
	output.write("<table class='table table-striped'>")
	output.write("<thead><th>#</th><th>Gene</th><th>Condition</th><th>RSID</th><th>Chromosome</th><th>Position</th><th>Sample</th><th>OMIM Reports</th><th>Gene Reviews</th></thead>")
	output.write("<tbody>")
	for index, variant in enumerate(collected_variants):
		sample = "" if index >= len(collected_samples) else collected_samples[index]
		output.write("<tr><td>%i</td><td><i>%s</i></td><td><a href='#'>%s</a></td><td><a href='#'>%s</a></td><td>%s</td><td>%s</td><td>%s</td><td><a href='#'>%s</a></td><td><a href='#'>%s</td></a></tr>" % (index+1, '<a href=\'http://en.wikipedia.org/wiki/'+variant.gene+'\'>'+variant.gene+'</a>',condition_map[variant.gene],'<a href=\'http://www.ncbi.nlm.nih.gov/projects/SNP/snp_ref.cgi?searchType=adhoc_search&type=rs&rs='+variant.rsid+'\'>'+variant.rsid+'</a>',variant.chromosome,variant.position,sample,variant.get_omim_links(),'<a href=\'http://www.ncbi.nlm.nih.gov/pubmed/'+variant.pmid+'\'>Gene Review on PubMed</a>'))
	output.write("</tbody></table>")
	output.write("""
					<div class='alert alert-info'><b>OPTIONAL</b>&nbsp;&nbsp;&nbsp;Please consider submitting these <i>completely anonymized</i> results for research purposes (no identifying information will be sent).
					&nbsp;&nbsp;&nbsp;<br/>
					
						<i class="icon-file"></i>&nbsp;&nbsp;&nbsp;<a href='IRB.pdf'>IRB Consent Form</a> (PDF)
						<br/>
						<div class="checkbox">
						  <label>
						    <input type="checkbox" onclick='javascript:irb_toggle()'>
						    <strong>I have read and agreed to the IRB consent form.</strong>
						  </label>
						  <a id='submitlink' href='#' class='btn btn-inactive'>Submit</a>
						  </div>	
						</div>
					
										
						
					<a rel="license" href="http://creativecommons.org/licenses/by/3.0/deed.en_US"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by/3.0/80x15.png" /></a><br /><span xmlns:dct="http://purl.org/dc/terms/" property="dct:title">PATH-SCAN</span> is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/3.0/deed.en_US">Creative Commons Attribution 3.0 Unported License</a>.
					</body>
				</html>""")
#&nbsp;&nbsp;&nbsp;<a id='submitlink' href='http://www.stanford.edu/~zappala/cgi-bin/pathscan_submit.cgi?hash=""" + hasher.hexdigest() + """&count=""" + str(len(collected_variants)) + """' class='btn btn-success'>Submit</a></div>						
				
if not args.suppress:
	try: 
		webbrowser.open_new('file:'+ os.getcwd() + '/output.html')
	except webbrowser.Error, e:
		print "For some reason we were unable to open your web browser for you. To see your results, please navigate to: " + os.getcwd() + '/output.html'
		print
		print "-- WebBrowser Error --"
		print e